#
# spec file for package doc-gnu-ko
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           doc-gnu-ko
PreReq:         %install_info_prereq
Summary:        Korean Translations of GNU Manuals
License:        GFDL-1.1
Group:          System/I18n/Korean
Version:        20000924
Release:        694.20
Source0:        http://korea.gnu.org/~cwryu/gnu-doc/dist/as-doc-ko-2.9.1.kr.1.tar.gz
Source1:        http://korea.gnu.org/~cwryu/gnu-doc/dist/automake-doc-ko-1.4.kr.1.tar.gz
Source2:        http://korea.gnu.org/~cwryu/gnu-doc/dist/finger-doc-ko-1.37.kr.1.tar.gz
Source3:        http://korea.gnu.org/~cwryu/gnu-doc/dist/gettext-doc-ko-0.10.35-20000924.tar.gz
Source4:        http://korea.gnu.org/~cwryu/gnu-doc/dist/hello-doc-ko-1.03.kr.1.tar.gz
Source5:        http://korea.gnu.org/~cwryu/gnu-doc/dist/jwhois-doc-ko-2.4-20000924.tar.gz
Source6:        http://korea.gnu.org/~cwryu/gnu-doc/dist/m4-doc-ko-1.4.kr.1.tar.gz
Source7:        http://korea.gnu.org/~cwryu/gnu-doc/dist/make-doc-ko-3.77.kr.1.tar.gz
Source8:        http://korea.gnu.org/~cwryu/gnu-doc/dist/texinfo-doc-ko-3.12.kr.1.tar.gz
Source9:        doc-gnu-ko.license
Patch0:         finger-doc-ko.patch
Patch1:         jwhois-doc-ko.patch
Patch2:         doc-gnu-ko.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  makeinfo
BuildRequires:  texi2html

%description
Korean translations of GNU manuals.

%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8
%patch0 -p0
%patch1 -p0
%patch2 -p0
for i in $(find . -name "*.texi")
do
   iconv -f euc-kr -t utf-8 < $i > $i.tmp
   mv $i.tmp $i
done

%build
########################################################################
# BUILD ORDER...........................................................
########################################################################
for package in as-doc-ko-2.9.1.kr.1 automake-doc-ko-1.4.kr.1 \
	       finger-doc-ko-1.37.kr.1 gettext-doc-ko-0.10.35-20000924 \
	       hello-doc-ko-1.03.kr.1 jwhois-doc-ko-2.4-20000924 \
	       m4-doc-ko-1.4.kr.1 make-doc-ko-3.77.kr.1 \
	       texinfo-doc-ko-3.12.kr.1 ; do
    pushd $package;
	sed -e "s@TEXI2HTMLFLAGS = -split_chapter@TEXI2HTMLFLAGS = -split_chapter --output=. --lang=ko@" Makefile.in > Makefile.tmp && mv Makefile.tmp Makefile.in
	./configure --prefix=%{_prefix} --infodir=%{_infodir}
        # remove old, non-UTF-8 info-files and generate new ones in UTF-8:
        rm -f *.info*
	for i in *-ko.texi *-ko.texinfo
	do
	    if [ -f $i -a ! "$i" == "iso-apdx.texi" -a ! "$i" == "iso-apdx-ko.texi"  ]
	    then
                perl -pi -e 's|\@include version.texi||g' $i
	        makeinfo --force --no-validate $i
            fi
	done
	# only included from other .texi files:
	rm -f c-*-ko.info* info-stnd-ko.info*
    popd ;
done

%install
mkdir -p %{buildroot}%{_infodir}
########################################################################
# BUILD ORDER...........................................................
########################################################################
for package in as-doc-ko-2.9.1.kr.1 automake-doc-ko-1.4.kr.1 \
	       finger-doc-ko-1.37.kr.1 gettext-doc-ko-0.10.35-20000924 \
	       hello-doc-ko-1.03.kr.1 jwhois-doc-ko-2.4-20000924 \
	       m4-doc-ko-1.4.kr.1 make-doc-ko-3.77.kr.1 \
	       texinfo-doc-ko-3.12.kr.1 ; do
    pushd $package;
	mkdir -p %{buildroot}%{_docdir}/doc-gnu-ko/$package
	make install-html prefix=%{buildroot}%{_prefix} \
	     htmldir=%{buildroot}%{_docdir}/doc-gnu-ko/$package
	install -m 644 *.info* %{buildroot}%{_infodir}
    popd ;
done
install -m 644 %{SOURCE9} %{buildroot}%{_docdir}/doc-gnu-ko/LICENSE
for i in $(find $RPM_BUILD_ROOT -name "*.html")
do
     perl -pi -e 's|lang="en"|lang="ko"|g' $i
     perl -pi -e 's|charset=us-ascii|charset=utf-8|g' $i
done

%post
for i in as-ko automake-ko finger-ko gettext-ko hello-ko info-ko jwhois-ko m4-ko make-ko makeinfo-ko texinfo-ko
do
    %install_info --info-dir=%{_infodir} %{_infodir}/${i}.info.gz
done

%postun
for i in as-ko automake-ko finger-ko gettext-ko hello-ko info-ko jwhois-ko m4-ko make-ko makeinfo-ko texinfo-ko
do
    %install_info_delete --info-dir=%{_infodir} %{_infodir}/${i}.info.gz
done

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}/
%{_docdir}/doc-gnu-ko/as-doc-ko-2.9.1.kr.1
%{_docdir}/doc-gnu-ko/automake-doc-ko-1.4.kr.1
%{_docdir}/doc-gnu-ko/finger-doc-ko-1.37.kr.1
%{_docdir}/doc-gnu-ko/gettext-doc-ko-0.10.35-20000924
%{_docdir}/doc-gnu-ko/m4-doc-ko-1.4.kr.1
%{_docdir}/doc-gnu-ko/make-doc-ko-3.77.kr.1
%{_docdir}/doc-gnu-ko/texinfo-doc-ko-3.12.kr.1
%{_docdir}/doc-gnu-ko/hello-doc-ko-1.03.kr.1
%{_docdir}/doc-gnu-ko/jwhois-doc-ko-2.4-20000924
%{_docdir}/doc-gnu-ko/LICENSE
%{_infodir}/*.info*

%changelog
* Tue Feb 24 2015 dimstar@opensuse.org
- Replace texinfo BuildRequires with makeinfo and texi2html: match
  what the buildsystem requires.
* Sun Jul 22 2012 coolo@suse.com
- buildrequire texinfo
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 15 2005 mfabian@suse.de
- convert to UTF-8
* Wed Feb  2 2005 ro@suse.de
- fix build with current texi2html
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir %%{_docdir}/%%{name}/ to file list
* Fri May 16 2003 mfabian@suse.de
- add missing html files to file list.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 25 2003 mfabian@suse.de
- avoid installing the backup files from patching the info
  pages
* Fri Feb 14 2003 mfabian@suse.de
- use %%install_info macro (Bug #23402)
- add missing info dir entries.
* Fri Aug 30 2002 ro@suse.de
- corrected changes file
* Tue Jan  9 2001 violiet@susekorea.net
- new package for KOREAN ENV.
- added doc-gnu-ko LICENSE.
